## org.eclipse.emf.workspace.impl
Class NonEMFTransaction

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionImpl
          org.eclipse.emf.workspace.impl.NonEMFTransaction

All Implemented Interfaces:
  InternalTransaction, Transaction

    public class NonEMFTransaction

extends TransactionImpl

A transaction encapsulating non-EMF changes (as represented by an unoable operation).

Field Summary

Fields inherited from class org.eclipse.emf.transaction.impl.TransactionImpl
`ALLOW_CHANGE_PROPAGATION_BLOCKING, BLOCK_CHANGE_PROPAGATION, change, DEFAULT_UNDO_REDO_OPTIONS, notifications, OPTION_IS_TRIGGER_TRANSACTION`

Fields inherited from interface org.eclipse.emf.transaction.Transaction
`OPTION_IS_UNDO_REDO_TRANSACTION, OPTION_NO_NOTIFICATIONS, OPTION_NO_TRIGGERS, OPTION_NO_UNDO, OPTION_NO_VALIDATION, OPTION_UNPROTECTED, OPTION_VALIDATE_EDIT, OPTION_VALIDATE_EDIT_CONTEXT`

Constructor Summary
`NonEMFTransaction(TransactionalEditingDomain domain, IUndoableOperation operation, IAdaptable info)` Initializes me with the undoable operation that represents my non-EMF changes.
`NonEMFTransaction(TransactionalEditingDomain domain, IUndoableOperation operation, IAdaptable info, Map<?,?> options)` Initializes me with the undoable operation that represents my non-EMF changes and transaction options.

Method Summary
`void` `commit()` Appends my non-EMF change and commits.

Methods inherited from class org.eclipse.emf.transaction.impl.TransactionImpl

`abort, add, addTriggers, close, collectsNotifications, endPrivileged, getChangeDescription, getDefaultOptions, getEditingDomain, getInternalDomain, getNotifications, getOptions, getOwner, getParent, getRoot, getStatus, getTriggers, hasOption, isAborted, isActive, isNotificationEnabled, isReadOnly, isRollingBack, isTriggerEnabled, isUndoEnabled, isUnprotected, isValidationEnabled, pause, resume, rollback, setParent, setStatus, start, startPrivileged, toString, validate, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonEMFTransaction

    public NonEMFTransaction(TransactionalEditingDomain domain,
                             IUndoableOperation operation,
                             IAdaptable info)

  Initializes me with the undoable operation that represents my non-EMF changes.

  Parameters:
    `domain` - my editing domain
    `operation` - the non-EMF changes that I record
    `info` - the adaptable object provided to the operation when it is executed

### NonEMFTransaction

    public NonEMFTransaction(TransactionalEditingDomain domain,
                             IUndoableOperation operation,
                             IAdaptable info,
                             Map<?,?> options)

  Initializes me with the undoable operation that represents my non-EMF changes and transaction options.

  Parameters:
    `domain` - my editing domain
    `operation` - the non-EMF changes that I record
    `options` - my options
    `info` - the adaptable object provided to the operation when it is executed

Method Detail

### commit

    public void commit()
                throws RollbackException

  Appends my non-EMF change and commits.

  Specified by:
    `commit` in interface `Transaction`
  Overrides:
    `commit` in class `TransactionImpl`
  Throws:
    `RollbackException` - if a listener or validation caused the transaction to roll back instead of committing successfully

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.